<?php
	defined('BASEPATH') OR exit('No direct script access allowed');

	class Hc_modules_model extends My_Model{
		protected $_table_name = 'hc_modules';
		protected $_order_by = 'id';

		public function __construct(){
			parent::__construct();
		}


		public function get_new(){
			$role = new stdClass();
			$role->module_group_name = '';
			$role->module_name = '';
			$role->module_page_name = '';
			$role->module_unique_name = '';
			$role->icon = '';

			return $role;
		}


		public $modules_rules = array(

			'module_group_name' => array(
				'field' => 'module_group_name', 
				'label' => 'Group name', 
				'rules' => 'trim|required|xss_clean|max_length[255]'
			),

			'module_name' => array(
				'field' => 'module_name', 
				'label' => 'Module name', 
				'rules' => 'trim|required|xss_clean|max_length[255]'
			),

			'module_page_name' => array(
				'field' => 'module_page_name', 
				'label' => 'Page name', 
				'rules' => 'trim|required|xss_clean|max_length[255]'
			),

			'module_unique_name' => array(
				'field' => 'module_unique_name', 
				'label' => 'Unique name', 
				'rules' => 'trim|required|xss_clean|max_length[255]'
			),
		);

	}
?>